﻿/*.btn, .btn-primary {
    --scheme-main: var(--green-text);
    --scheme-contrast: #fff;
    --scheme-hover: var(--deep-forest);
}

.btn-secondary {
    --scheme-main: var(--freshwater);
    --scheme-contrast: #fff;
    --scheme-hover: var(--deep-sea);
}

.btn-reverse {*/
/* Pull source values from color class (.btn-primary or .btn-secondary) */
/*--source-main: var(--scheme-main);
--source-contrast: var(--scheme-contrast);*/
/* Swap source main and contrast values */
/*--scheme-main: var(--source-contrast);
    --scheme-contrast: var(--source-main);
}*/
.btn,
span.btn-primary a,
span.btn-secondary a,
span[class*=btn-] a {
  /*position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;*/
  /*line-height: 1.1875rem;
  font-weight: 700;
  letter-spacing: 0.76px;
  text-transform: uppercase;*/
  border: 2px solid transparent;
  background-color: var(--scheme-main);
  color: var(--scheme-contrast);
  /*transition: all 0.2s ease-in-out;
  padding: 0.6875rem 1.4375rem;*/
}

/*.btn.btn-outline,
span.btn-outline a {
    background-color: transparent;
    color: var(--scheme-main);
    border-color: var(--scheme-main);
}

.btn:hover, .btn.hover, .btn:active, .btn.active,
span[class*="btn-"] a:hover, span[class*="btn-"] a:active {
    color: var(--scheme-contrast);
    background-color: var(--scheme-hover);
    box-shadow: none;
    text-decoration: none;
}

.btn.btn-outline:hover, .btn.btn-outline:active,
span.btn-outline a:hover, span.btn-outline a:active {
    background-color: transparent;
    color: var(--scheme-hover);
    border-color: var(--scheme-hover);
}*/
/*.btn.btn-sm {
    font-size: 0.9375rem;
    line-height: 1.125rem;
    padding: 0.75rem 1.4375rem 0.6875rem;
}*/
/*.btn.btn-shadow {
    box-shadow: 0px 0px 8px 0px rgba(68, 84, 101, 0.50);
}*/
/*.btn:focus, .btn.focus {
    outline: 0;
}

.btn.disabled, .btn:disabled {
    opacity: 0.65;
    pointer-events: none;
}*/
.to-top {
  position: fixed;
  bottom: 5vh;
  right: 5vw;
  transform: scale(0);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  opacity: 0;
  color: #fff;
  will-change: transform;
  z-index: 10;
  border: 2px solid transparent;
  background-color: var(--green-text);
  transition: all 0.2s ease-in-out;
  box-shadow: 2px 2px 8px 0px rgba(68, 84, 101, 0.5);
}

.to-top.show {
  transform: scale(1);
  opacity: 1;
  transition: all 0.2s, transform 0.2s cubic-bezier(0.5, 0, 1, 2);
}

.to-top.active, .to-top:hover {
  background: var(--deep-forest);
  color: #fff;
  cursor: pointer;
  box-shadow: none;
}

/*.btn-group {
    display:flex;
    flex-wrap:wrap;
    gap:1rem;
}*/
/*********************************************************************/
/*.btn.btn-secondary, */
/*span.btn-secondary a {
    background-color: var(--scheme-main);
}*/
/*.btn.btn-outline.btn-secondary {
    color: var(--freshwater);
    border-color: var(--freshwater);
}
*/
/*.btn.btn-outline.btn-reverse {
    background-color: transparent;
    border-color: #fff;
    color: #fff;
}*/
/*.btn.btn-secondary:hover, .btn.btn-secondary.hover,
.btn.btn-secondary:active, .btn.btn-secondary.active,
span.btn-secondary a:hover, span.btn-secondary a:active {
    background-color: var(--deep-sea);
}*/
/*.btn.btn-outline:hover {
    background-color: transparent;
    border-color: var(--deep-forest);
    color: var(--deep-forest);
}

.btn.btn-outline.btn-secondary:hover {
    background-color: transparent;
    border-color: var(--deep-sea);
    color: var(--deep-sea);
}*/
/*.btn.btn-whiteBorder.btn-secondary-hover:hover {
    background-color: transparent;
    border-color: var(--deep-sea);
    color: var(--deep-sea);
}

.btn.btn-whiteBorder:hover {
    background-color: transparent;
    border-color: var(--deep-forest);
    color: var(--deep-forest);
}*/
